QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    EvaluacionesRamosWidget.cpp \
    main.cpp \
    mainwindow.cpp \
    ActividadAcademica.cpp \
    ActividadDiaria.cpp \
    AddNotaDialog.cpp \
    AddRamoDialog.cpp \
    AddTareaDialog.cpp \
    Calendario.cpp \
    CalendarViewWidget.cpp \
    Certamen.cpp \
    Event.cpp \
    GestorDatos.cpp \
    Hito.cpp \
    Proyecto.cpp \
    Ramo.cpp \
    Semestre.cpp \
    Tarea.cpp \
    Usuario.cpp 

HEADERS += \
    EvaluacionesRamosWidget.h \
    mainwindow.h \
    ActividadDiaria.h \
    ActividadAcademica.h \
    AddNotaDialog.h \
    AddRamoDialog.h \
    AddTareaDialog.h \
    Calendario.h \
    CalendarViewWidget.h \
    Certamen.h \
    Event.h \
    GestorDatos.h \
    Hito.h \
    Proyecto.h \
    Ramo.h \
    Semestre.h \
    Tarea.h \
    Usuario.h

    

FORMS += \
    mainwindow.ui \
    calendarviewwidget.ui 


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
